<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Notification\FlagProviders;

use Symfony\Component\Translation\TranslatableMessage;
use Symfony\Contracts\Translation\TranslatableInterface;

class NotificationByUserFlagProvider implements NotificationFlagProviderInterface
{
    public const FLAG = 'notif-by-user';

    public function getFlag(): string
    {
        return self::FLAG;
    }

    public function getLabel(): TranslatableInterface
    {
        return new TranslatableMessage('notification.flags.by-user');
    }
}
